RDKit: RDKit::AtomPair::AtomPairAtomEnv< OutputType > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::AtomPair::AtomPairAtomEnv< OutputType > Class Template Reference

class that holds atom-environment data needed for atom-pair fingerprint generation More...

`#include <AtomPairGenerator.h>`

Inheritance diagram for RDKit::AtomPair::AtomPairAtomEnv< OutputType >:

## Public Member Functions
OutputType | getBitId (FingerprintArguments *arguments, const std::vector< std::uint32_t > *atomInvariants, const std::vector< std::uint32_t > *bondInvariants, AdditionalOutput *additionalOutput, const bool hashResults=false, const std::uint64_t fpSize=0) const override
| calculates and returns the bit id to be set for this atom-environment
void | updateAdditionalOutput (AdditionalOutput *output, size_t bitId) const override
| AtomPairAtomEnv (const unsigned int atomIdFirst, const unsigned int atomIdSecond, const unsigned int distance)
| construct a new AtomPairAtomEnv object
Public Member Functions inherited from RDKit::AtomEnvironment< OutputType >
virtual | ~AtomEnvironment ()

## Detailed Description

template<typename OutputType>
class RDKit::AtomPair::AtomPairAtomEnv< OutputType >

class that holds atom-environment data needed for atom-pair fingerprint generation

Definition at line 95 of file AtomPairGenerator.h.

## Constructor & Destructor Documentation

## ◆ AtomPairAtomEnv()

template<typename OutputType>

RDKit::AtomPair::AtomPairAtomEnv< OutputType >::AtomPairAtomEnv | ( | const unsigned int | atomIdFirst,
|  | const unsigned int | atomIdSecond,
|  | const unsigned int | distance )

construct a new AtomPairAtomEnv object

Parameters

  atomIdFirst | id of the first atom of the atom-pair
  atomIdSecond | id of the second atom of the atom-pair
  distance | distance between the atoms

## Member Function Documentation

## ◆ getBitId()

template<typename OutputType>

OutputType RDKit::AtomPair::AtomPairAtomEnv< OutputType >::getBitId | ( | FingerprintArguments * | arguments,
|  | const std::vector< std::uint32_t > * | atomInvariants,
|  | const std::vector< std::uint32_t > * | bondInvariants,
|  | AdditionalOutput * | AdditionalOutput,
|  | const bool | hashResults = false,
|  | const std::uint64_t | fpSize = 0 ) const
| overridevirtual

calculates and returns the bit id to be set for this atom-environment

Parameters

  arguments | Fingerprinting type specific molecule independent arguments
  atomInvariants | Atom-invariants to be used during hashing
  bondInvariants | Bond-invariants to be used during hashing
  hashResults | if set results will be ready to be modded

Returns
  OutputType calculated bit id for this environment

Implements RDKit::AtomEnvironment< OutputType >.

## ◆ updateAdditionalOutput()

template<typename OutputType>

void RDKit::AtomPair::AtomPairAtomEnv< OutputType >::updateAdditionalOutput | ( | AdditionalOutput * | output,
|  | size_t | bitId ) const
| overridevirtual

Implements RDKit::AtomEnvironment< OutputType >.

The documentation for this class was generated from the following file:

- AtomPairGenerator.h